import { ElementRef, OnInit, AfterViewInit, OnChanges, EventEmitter, OnDestroy, SimpleChanges } from '@angular/core';
import { ScriptService } from './../../commons/services/script.service';
import { EchartsInstance } from './echart.interface';
export declare class BaseEchartDirective implements OnInit, OnChanges, AfterViewInit, OnDestroy {
    private script;
    private elementRef;
    private src;
    option: any;
    resize: boolean;
    chartLoad: EventEmitter<{
        echartsInstance: EchartsInstance;
        echarts: any;
    }>;
    private echart;
    constructor(script: ScriptService, elementRef: ElementRef, src: string);
    resizeChart: () => void;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
}
